Skip to content

Payee Add

API Information

  • Path: /api/v1/beneficiary/add
  • Method: POST
  • Content-Type: application/json

Business Description

  • This is a prerequisite step before using the Payment Initiation API. You must first add a payee before you can proceed with payment initiation.
  • After a payee is successfully added, a beneficiaryId (Payee ID) will be returned, which is required for subsequent payment operations.

Duplicate Creation Notice

  • The system returned an error status without a detailed message. This request may have attempted to create a payee that already exists.
  • Please use the cardNumber to call the Payee List Query API , retrieve the existing payeeId, and use that payeeId for subsequent payout operations.

Request Parameters

Headers

Request Headers
ParameterValueRequiredDescription
Content-Typeapplication/jsonYesRequest body type

Request Body

Main Parameters

ParameterTypeDescriptionRequired
merchantNostringThe merchant number of the request initiator.M
onBehalfOfstringThe merchant number that the request is actually associated with. Provide this field only when initiating a request on behalf of another merchant.N
merchantRefIdstring(64)Unique identifier for the recipient in your systemN
bankCountrystring(12)Submit payment CountryM
payoutCurrencystring(128)Payout CurrencyM
entityTypestring(1)Entity Type [0:Company, 1:Individual]M
paymentMethodstringPayment MethodM
receiverInfostring(1024)Payee InformationM
addressstring(1024)Address InformationM
accountInfomationstring(1024)Account informationM
signstringSignatureM

Request Example

json
{
  "merchantNo": "800181",
  "bankCountry": "US",
  "payoutCurrency": "USD",
  "entityType": "1",
  "paymentMethod": "BANK_TRANSFER",
  "sign": "",
  "receiverInfo": "{\"companyName\":\"\",\"lastName\":\"USDMDD\",\"firstName\":\"DAN\",\"areaCode\":\"\",\"phone\":\"\",\"email\":\"hynchen@onerway.com\",\"identityType\":\"SSN\"}",
  "address": "{\"countryCode\":null,\"state\":\"CALIFORNIA\",\"city\":\"Adin\",\"addressLine1\":\"ADRESS TEST 1\",\"addressLine2\":null,\"addressLine3\":null,\"postalCode\":\"890890\"}",
  "accountInfomation": "{\"cardNumber\":\"3890601780555\",\"accountType\":\"1\",\"swiftCode\":\"ABOCUS33\",\"bankName\":\"MCB BankLimited\", \"sortCode\": \"021001088\", \"bankAccount\": \"AGRICULTURAL BANK OF CHINA NEW YORK BRANCH\"}"
}

Response Result

Response Headers
ParameterValueRequiredDescription
content-typeapplication/json;charset=UTF-8YesResponse body type

Response Parameters

ParameterTypeDescription
respCodestringResponse Code
respMsgstringResponse Message
dataobjectResponse Data
  └─beneficiaryIdintegerPayee ID
  └─payeeStatusstringPayee Status/payeeStatus

Response Example

json
{
  "respCode": "20000",
  "respMsg": "Success",
  "data": {
    "beneficiaryId": 123456,
    "payeeStatus": "WAITING"
  }
}